# KDChartBackgroundAttributes.h File Reference

`#include <QDebug>`
`#include <QMetaType>`
`#include <QBrush>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartBackgroundAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::BackgroundAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::BackgroundAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::BackgroundAttributes & |
| ) |

Definition at line 150 of file KDChartBackgroundAttributes.cpp.

References KDChart::BackgroundAttributes::brush(), KDChart::BackgroundAttributes::isVisible(), KDChart::BackgroundAttributes::pixmap(), and KDChart::BackgroundAttributes::pixmapMode().

    00151 {
    00152     dbg << "KDChart::BackgroundAttributes("
    00153         << "visible="<<ba.isVisible()
    00154         << "brush="<<ba.brush()
    00155         << "pixmapmode="<<ba.pixmapMode()
    00156         << "pixmap="<<ba.pixmap()
    00157         << ")";
    00158     return dbg;
    00159 }

Q_DECLARE_TYPEINFO | ( | KDChart::BackgroundAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |